from byu_pytest_utils.decorators import max_score
from test_utils import this_folder, test_files, compare_files, run_python


@max_score(10)
def test_compute_stats_positive_integers():
    input_file = test_files / "positive_integers.input.txt"
    observed = test_files / "positive_integers.observed.txt"
    run_python(this_folder / "compute_stats.py", input_file, observed)

    expected = test_files / "positive_integers.expected.txt"
    compare_files(expected, observed)


@max_score(20)
def test_compute_stats_positive_and_negative_integers():
    input_file = test_files / "positive_and_negative_integers.input.txt"
    observed = test_files / "positive_and_negative_integers.observed.txt"
    run_python(this_folder / "compute_stats.py", input_file, observed)

    expected = test_files / "positive_and_negative_integers.expected.txt"
    compare_files(expected, observed)


@max_score(20)
def test_compute_stats_floats():
    input_file = test_files / "floats.input.txt"
    observed = test_files / "floats.observed.txt"
    run_python(this_folder / "compute_stats.py", input_file, observed)

    expected = test_files / "floats.expected.txt"
    compare_files(expected, observed)


@max_score(20)
def test_compute_stats_basic():
    input_file = test_files / "basic_data.input.txt"
    observed = test_files / "basic_data.observed.txt"
    run_python(this_folder / "compute_stats.py", input_file, observed)

    expected = test_files / "basic_data.expected.txt"
    compare_files(expected, observed)


@max_score(30)
def test_compute_stats_advanced():
    input_file = test_files / "advanced_data.input.txt"
    observed = test_files / "advanced_data.observed.txt"
    run_python(this_folder / "compute_stats.py", input_file, observed)

    expected = test_files / "advanced_data.expected.txt"
    compare_files(expected, observed)